<?php
// 首页
class MapAction extends IndexAction {
    public function index(){
		$catarray=array(D('Columns')->Catlist('News', 1),D('Columns')->Catlist('Blog', 4));
		$this->assign('ance', D('Announce')->announce());
		$this->assign('hotlist', D('News')->Hot());
		$this->assign('newslist', D('News')->newsinfo());
		$this->assign('bloglist', D('Blog')->newsinfo());
		$this->assign('randlist', D('News')->Rand());
		$this->assign('Catlist', D('Columns')->Catlist('News', 1));
		$this->assign('Linklist', D('Link')->Linklist());
		$this->assign('DateList', D('News')->DateList('News'));
		$this->assign('Dateblogbist', D('Blog')->DateList('Blog'));
		$this->assign('Newsnum', D('News')->Artnums());
		$this->assign('blognum', D('Blog')->Artnums());
		$this->assign('Gknum', D('Guestbook')->Gknum());
		$this->assign('Cmnum', D('Comment')->Cmnum());
		$this->assign('Visitnum', $this->visitNum('count.txt'));
		$this->assign('nestags', D('Tag')->TagList('News'));
		$this->assign('blogtags', D('Tag')->TagList('Blog'));
		$this->assign('tplname', $index='index');
		$this->assign('catarray', $catarray);
		//$this->assign('page', $listarr['page']);
		$this->assign('title', $title='网站地图');   
        $this->display();
    }
}
?>